=== debian/changelog ===
openjdk-11 (11.0.4+11-1) unstable; urgency=high

  * OpenJDK 11.0.4+11 build (release).
    - S8212328, CVE-2019-2762: Exceptional throw cases.
    - S8213431, CVE-2019-2766: Improve file protocol handling.
    - S8213432, CVE-2019-2769: Better copies of CopiesList.
    - S8216381, CVE-2019-2786: More limited privilege usage.
    - S8217563: Improve realm maintenance.
    - S8218863: Better endpoint checks.
    - S8218873: Improve JSSE endpoint checking.
    - S8218876, CVE-2019-7317: Improve PNG support options.
    - S8219775: Certificate validation improvements.
    - S8220517: Enhanced GIF support.
    - S8221345, CVE-2019-2818: Better Poly1305 support.
    - S8221518, CVE-2019-2816: Normalize normalization.
    - S8222678, CVE-2019-2821: Improve TLS negotiation.
  * Fix more build issues for Ubuntu precise builds.
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jul 2019 02:28:36 +0200

openjdk-11 (11.0.4+10-1) unstable; urgency=medium

  * OpenJDK 11.0.4+10 build (early access).
  * Add riscv64 support for zero (Ed Nevill).
  * Fix build dependencies for Ubuntu precise builds.
  * Fix dependency generation on the libjpeg runtime. Closes: #927965.
  * Drop dependency on transitional libgl1-mesa-glx package. Closes: #930611.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jul 2019 14:39:16 +0200

openjdk-11 (11.0.4+9-1) unstable; urgency=medium

  * OpenJDK 11.0.4+9 build (early access).
  * Add another break for libequinox-osgi-java (<< 3.9.1). Closes: #931115.

 -- Matthias Klose <doko@debian.org>  Wed, 26 Jun 2019 13:51:07 +0200

openjdk-11 (11.0.4+8-1) unstable; urgency=medium

  * OpenJDK 11.0.4+8 build (early access).
  * Apply patch for JDK-8225716.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 22 Jun 2019 17:58:57 +0200

openjdk-11 (11.0.4+6-1) experimental; urgency=medium

  * OpenJDK 11.0.4+6 build (early access).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jun 2019 07:28:57 +0200
