=== debian/tests/control ===
Tests: hotspot, jaxp, langtools
Depends: @, jtreg, testng, gcc
Restrictions: allow-stderr, skippable

Tests: jdk
Depends: @, jtreg, testng, gcc, xfwm4, xvfb, dbus-x11
Restrictions: allow-stderr, skippable
