## openjdk-11 11.0.6+10

=== debian/changelog ===
openjdk-11 (11.0.6+10-1~deb10u1) buster-security; urgency=medium

  * Rebuild for Buster

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 17 Jan 2020 00:09:03 +0000

openjdk-11 (11.0.6+10-1) unstable; urgency=high

  * OpenJDK 11.0.6+10 build (release).
    - S8220598: Malformed copyright year range in a few files in java.base.
    - S8224909, CVE-2020-2583: Unlink Set of LinkedHashSets.
    - S8225261: Better method resolutions.
    - S8225279: Better XRender interpolation.
    - S8226352, CVE-2020-2590: Improve Kerberos interop capabilities.
    - S8227758: More valid PKIX processing.
    - S8227816: More Colorful ICC profiles.
    - S8228548, CVE-2020-2593: Normalize normalization for all.
    - S8229728: Implement negotiation parameters.
    - S8229951, CVE-2020-2601: Better Ticket Granting Services.
    - S8230279: Improve Pack200 file reading.
    - S8230318: Better trust store usage.
    - S8230967: Improve Registry support of clients.
    - S8231139: Improved keystore support.
    - S8231422, CVE-2020-2604: Better serial filter handling.
    - S8231780, CVE-2020-2655: Better TLS messaging support.
    - S8231790: Provide better FileSystemProviders.
    - S8232419: Improve Registry registration.
    - S8234037, CVE-2020-2654: Improve Object Identifier Processing.
  * Disable zero on sparc64 (Adrian Glaubitz). Closes: #942030.
  * Make the generated character data source files reproducible (Emmanuel
    Bourg). Closes: #933339.
  * Make the generated module-info.java files reproducible (Emmanuel Bourg).
    Closes: #933342.
  * Make the generated copyright headers reproducible (Emmanuel Bourg).
    Closes: #933349.
  * Make the build user reproducible (Emmanuel Bourg). Closes: #933373.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 01:09:36 +0100

openjdk-11 (11.0.6+7-1) unstable; urgency=medium

  * OpenJDK 11.0.5+7 build (early access).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Dec 2019 14:52:21 +0100

openjdk-11 (11.0.5+10-2) unstable; urgency=medium

  * Fix the jtreg consistency check when building without jtreg.
  * Don't call dh_strip_nondeterminism when building for older releases.
  * Fix disabling the zero build on arm64 on trusty.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Oct 2019 22:04:30 +0200

openjdk-11 (11.0.5+10-1) unstable; urgency=high

  * OpenJDK 11.0.5+10 build (release).
    - S8209901: Canonical file handling.
    - S8213429, CVE-2019-2933: Windows file handling redux.
    - S8218573, CVE-2019-2945: Better socket support.
    - S8218877: Help transform transformers.
    - S8219914: Change the environment variable for Java Access Bridge
      logging to have a directory.
    - S8220186: Improve use of font temporary files.
    - S8220302, CVE-2019-2949: Better Kerberos ccache handling.
    - S8221497: Optional Panes in Swing.
    - S8221858, CVE-2019-2958: Build Better Processes.
    - S8222684, CVE-2019-2964: Better support for patterns.
    - S8222690, CVE-2019-2962: Better Glyph Images.
    - S8223163: Better pattern recognition.
    - S8223505, CVE-2019-2973: Better pattern compilation.
    - S8223518, CVE-2019-2975: Unexpected exception in jjs.
    - S8223886: Add in font table referene.
    - S8223892, CVE-2019-2978: Improved handling of jar files.
    - S8224025: Fix for JDK-8220302 is not complete.
    - S8224062, CVE-2019-2977: Improve String index handling.
    - S8224532, CVE-2019-2981: Better Path supports.
    - S8224915, CVE-2019-2983: Better serial attributes.
    - S8225286, CVE-2019-2987: Better rendering of native glyphs.
    - S8225292, CVE-2019-2988: Better Graphics2D drawing.
    - S8225298, CVE-2019-2989: Improve TLS connection support.
    - S8225597, CVE-2019-2992: Enhance font glyph mapping.
    - S8226765, CVE-2019-2999: Commentary on Javadoc comments.
    - S8227601: Better collection of references.
    - S8228825, CVE-2019-2894: Enhance ECDSA operations.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Oct 2019 10:41:31 +0200

openjdk-11 (11.0.5+9-1) unstable; urgency=medium

  * OpenJDK 11.0.5+9 build (early access).
  * Bump standards version.
  * Use dh_strip_nondeterminism (Emmanuel Bourg). Closes: #933389.
  * Fix 8230708, server build on sparc64 (Adrian Glaubitz). Closes: #939565.
  * Fix FTBFS with DEB_BUILD_PROFILES=nocheck (Helmut Grohne). Closes: #939521.
  * Add more breaks to the openjdk-11-jre-headless package. Closes: #935624.
  * Fix debug and src symlinks. Closes: #893134, #910694, #910696.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2019 11:00:49 +0200

openjdk-11 (11.0.5+6-2) unstable; urgency=medium

  * Fix 8230708, build failure on sparc64 (Adrian Glaubitz).
  * Disable the zero build on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2019 17:54:18 +0200

openjdk-11 (11.0.5+6-1) unstable; urgency=medium

  * OpenJDK 11.0.5+6 build (early access).

  [ Matthias Klose ]
  * Tighten dependency on jtreg.
  * Build using GCC 9 on recent development releases.
  * Refresh patches.

  [ Tiago Stürmer Daitx ]
  * Properly generate Breaks: rules for bionic (fix typo).
  * Remove libgtk-3-dev from build-deps: libgtk-3-dev is not actually
    required, package builds fine without it; libgtk2.0-0 or libgtk-3-0
    should be explicitly declared instead in bdeps and tests;
    libxrandr-dev should be explicitly added as it is required and was
    being included due to libgtk-3-dev dependency.
  * Set minimum dependency on jtreg based on testsuite requirements.
  * Fail during pre-build if installed jtreg version is lower then
    the minimum required version.
  * Improve and fix build tests and autopkgtests:
    - Depend on default-jre-headless so jtreg will use the
      JRE from /usr/default-java; remove JT_JAVA exports as it
      no longer needs to be set.
    - Update debian/tests/hotspot,jdk,langtools to ignore
      jtreg-autopkgtest.sh return code.
    - Create debian/tests/jtdiff-autopkgtest.in as it depends
      on debian/rules variables.
    - debian/tests/jtreg-autopkgtest.sh:

