=== debian/tests/control ===
Tests: hotspot, jaxp, langtools
Depends: @, default-jre-headless, jtreg (>= 4.2-b13-0~), testng, g++
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg (>= 4.2-b13-0~), testng, g++, xfwm4, xvfb, dbus-x11
Restrictions: allow-stderr, skippable, flaky
