## openjdk-11 11.0.9.2%2B1

=== debian/changelog ===
openjdk-11 (11.0.9.2+1-1~deb10u2) unstable; urgency=medium

  * update

 -- OpenJDK Team <openjdk@lists.launchpad.net>  Wed, 02 Jun 2021 10:50:11 +0800

openjdk-11 (11.0.9.2+1-1~deb10u2) buster; urgency=medium

  * update changlog

 -- tony mancill <tmancill@debian.org>  Mon, 31 May 2021 16:11:37 -0800

openjdk-11 (11.0.9.1+1-1~deb10u2) buster; urgency=medium

  * Rebuild for Buster (Closes: #975728) 
  * Disable tests for this upload.

 -- tony mancill <tmancill@debian.org>  Sat, 28 Nov 2020 09:42:37 -0800

openjdk-11 (11.0.9.1+1-1~deb10u1) buster; urgency=medium

  * Rebuild for Buster (Closes: #975728)

 -- tony mancill <tmancill@debian.org>  Wed, 25 Nov 2020 08:55:48 -0800

openjdk-11 (11.0.9.1+1-1) unstable; urgency=medium

  * OpenJDK 11.0.9.1+1 build (release).
  * Configure --with-jvm-features=shenandoahgc for hotspot builds.
    LP: #1902029.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Nov 2020 14:32:42 +0100

openjdk-11 (11.0.9+11-1) unstable; urgency=medium

  * OpenJDK 11.0.9+11 build (release).
  * Security fixes:
    - JDK-8233624: Enhance JNI linkage
    - JDK-8236196: Improve string pooling
    - JDK-8236862, CVE-2020-14779: Enhance support of Proxy class
    - JDK-8237990, CVE-2020-14781: Enhanced LDAP contexts
    - JDK-8237995, CVE-2020-14782: Enhance certificate processing
    - JDK-8240124: Better VM Interning
    - JDK-8241114, CVE-2020-14792: Better range handling
    - JDK-8242680, CVE-2020-14796: Improved URI Support
    - JDK-8242685, CVE-2020-14797: Better Path Validation
    - JDK-8242695, CVE-2020-14798: Enhanced buffer support
    - JDK-8243302: Advanced class supports
    - JDK-8244136, CVE-2020-14803: Improved Buffer supports
    - JDK-8244479: Further constrain certificates
    - JDK-8244955: Additional Fix for JDK-8240124
    - JDK-8245407: Enhance zoning of times
    - JDK-8245412: Better class definitions
    - JDK-8245417: Improve certificate chain handling
    - JDK-8248574: Improve jpeg processing
    - JDK-8249927: Specify limits of jdk.serialProxyInterfaceLimit
    - JDK-8253019: Enhanced JPEG decoding

  [ Tiago Stürmer Daitx ]
  * debian/rules:
    - copy apport hook to source_$(PKGSOURCE).py, fixes apport on
      Ubuntu where source name is openjdk-lts instead of openjdk-11. 
  * Refresh patches.

  [ Matthias Klose ]
  * Don't run the jdk tests as an autopkg test, taking too long.
  * Call strip-nondeterminism before computing jmod hashes (Julian Gilbey).
    Closes: #944738.
  * Build with GCC 10 in current development versions. Closes: #972288.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Oct 2020 19:38:16 +0200

openjdk-11 (11.0.8+10-1) unstable; urgency=high

  * OpenJDK 11.0.8+10 build (release).
  * Security fixes:
    - JDK-8233239, CVE-2020-14562: Enhance TIFF support
    - JDK-8236867, CVE-2020-14573: Enhance Graal interface handling
    - JDK-8237117, CVE-2020-14556: Better ForkJoinPool behavior
    - JDK-8237592, CVE-2020-14577: Enhance certificate verification
    - JDK-8238002, CVE-2020-14581: Better matrix operations
    - JDK-8238920, CVE-2020-14583: Better Buffer support
    - JDK-8240119, CVE-2020-14593: Less Affine Transformations
    - JDK-8242136, CVE-2020-14621: Better XML namespace handling
    - JDK-8230613: Better ASCII conversions
    - JDK-8231800: Better listing of arrays
    - JDK-8232014: Expand DTD support
    - JDK-8233234: Better Zip Naming
    - JDK-8233255: Better Swing Buttons
    - JDK-8234032: Improve basic calendar services
    - JDK-8234042: Better factory production of certificates
    - JDK-8234418: Better parsing with CertificateFactory
    - JDK-8234836: Improve serialization handling
    - JDK-8236191: Enhance OID processing
    - JDK-8238013: Enhance String writing
    - JDK-8238804: Enhance key handling process
    - JDK-8238842: AIOOBE in GIFImageReader.initializeStringTable
    - JDK-8238843: Enhanced font handing
    - JDK-8238925: Enhance WAV file playback
    - JDK-8240482: Improved WAV file playback
    - JDK-8241379: Update JCEKS support
    - JDK-8241522: Manifest improved jar headers redux

  [ Tiago Stürmer Daitx ]
  * d/p/default-jvm-cfg.diff: updated patch.
  * d/p/8214571.diff, d/p/8228407.diff: applied by upstream, removed patches.

  [ Matthias Klose ]
  * Don't try to run autopkg tests on armel, mipsel, mips64el.
  * debian/copyright (remove licenses not found anymore in the sources):
    - Little CMS, libpng, GIFLIB.
  * Prepare to Build using GCC 10.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jul 2020 14:26:43 +0200

openjdk-11 (11.0.7+10-3) unstable; urgency=high

  * Backport the fix for JDK-8214571, -Xdoclint of array serialField gives
    "error: array type not allowed here". Introduced with 11.0.7.
  * Enable running the testsuite on release architectures.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Apr 2020 14:40:58 +0200

openjdk-11 (11.0.7+10-2) unstable; urgency=high

  * Backport the fix for 8228407, JVM crashes with shared archive file mismatch.
  * Enable again bootcycle build for all hotspot architectures.
  * Build again with -march=zEC12 on Ubuntu/s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Apr 2020 16:03:23 +0200

openjdk-11 (11.0.7+10-1) unstable; urgency=high

  * OpenJDK 11.0.7+10 build (release).
  * Security fixes
    - JDK-8223898, CVE-2020-2754: Forward references to Nashorn
    - JDK-8223904, CVE-2020-2755: Improve Nashorn matching
    - JDK-8224541, CVE-2020-2756: Better mapping of serial ENUMs
    - JDK-8224549, CVE-2020-2757: Less Blocking Array Queues
    - JDK-8225603: Enhancement for big integers
    - JDK-8226346: Build better binary builders
    - JDK-8227467: Better class method invocations
    - JDK-8227542: Manifest improved jar headers
    - JDK-8229733: TLS message handling improvements
    - JDK-8231415, CVE-2020-2773: Better signatures in XML
    - JDK-8231785: Improved socket permissions
    - JDK-8232424, CVE-2020-2778: More constrained algorithms
    - JDK-8232581, CVE-2020-2767: Improve TLS verification

