=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
+# Uncomment this to turn on verbose mode  . 
 #export DH_VERBOSE=1
 
 unexport LANG LC_ALL
@@ -28,6 +28,9 @@
 DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
 DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)
 
+OBJCOPY := $(DEB_HOST_GNU_TYPE)-objcopy
+STRIP := $(DEB_HOST_GNU_TYPE)-strip
+
 PATH := $(CURDIR)/bin:$(PATH)
 export PATH
 
@@ -48,12 +51,10 @@
 
 hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el sparc64 s390x kfreebsd-amd64 kfreebsd-i386
 jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc powerpcspe ppc64 sh4 x32
-#jtreg_archs	+= armel
-#jtreg_archs	+= mips mipsel mips64 mips64el
+jtreg_archs	+= armel mipsel mips64el
 
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
-bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), amd64 i386),yes)
 zbootcycle_build =
 ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
   bootcycle_build =
@@ -70,7 +71,6 @@
   is_default = yes
 endif
 
-# FIXME: change that after the buster freeze for ea builds
 is_upstream_release = yes
 
 srcdir		= .
@@ -158,6 +158,7 @@
 ifneq (,$(filter $(distrel), precise trusty))
   with_docs =
 endif
+with_check = disabled for this upload
 
 with_wqy_zenhai = $(if $(filter $(distrel),lenny),,yes)
